Listar SKUs
curl --request GET \
--url https://api.dooki.com.br/v2/{alias}/catalog/skus \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>'{
"data": [
{
"id": 123,
"product_id": 123,
"seller_id": 123,
"sku": "SKU-TEST-API",
"token": "<string>",
"erp_id": "01-753-Rose",
"blocked_sale": false,
"barcode": "barcode-test",
"title": "Produto X - Variação 030303 Amarelo",
"allow_sell_without_customization": true,
"price_cost": 123,
"price_sale": 123,
"price_discount": 123,
"combinations": [
"<string>"
],
"weight": 123,
"height": 123,
"width": 123,
"length": 123,
"quantity_managed": true,
"availability": 123,
"availability_soldout": 123,
"order": 123,
"variations": [
{
"name": "<string>",
"id": 123,
"value": "<string>",
"value_id": 123
}
],
"days_availability_formated": "<string>",
"total_in_stock": 123,
"total_orders": 123,
"image_reference_sku_id": 123,
"purchase_url": "<string>",
"created_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"updated_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"customizations": {
"data": [
{
"id": 123,
"name": "Primeira Letra",
"price": 123,
"description": "Descrição",
"type": "select",
"required": true,
"allowed_values": "<string>",
"max_chars": 1,
"products_ids": [
123
],
"values": "['A', 'B', 'C', 'D']"
}
]
}
}
],
"meta": {
"pagination": {
"total": "10",
"count": "30",
"per_page": "10",
"current_page": "1",
"total_pages": "3",
"links": {
"previous": "",
"next": ""
}
}
}
}SKUs
Listar SKUs
Retorna uma lista de SKUs disponíveis
GET
/
{alias}
/
catalog
/
skus
Listar SKUs
curl --request GET \
--url https://api.dooki.com.br/v2/{alias}/catalog/skus \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>'{
"data": [
{
"id": 123,
"product_id": 123,
"seller_id": 123,
"sku": "SKU-TEST-API",
"token": "<string>",
"erp_id": "01-753-Rose",
"blocked_sale": false,
"barcode": "barcode-test",
"title": "Produto X - Variação 030303 Amarelo",
"allow_sell_without_customization": true,
"price_cost": 123,
"price_sale": 123,
"price_discount": 123,
"combinations": [
"<string>"
],
"weight": 123,
"height": 123,
"width": 123,
"length": 123,
"quantity_managed": true,
"availability": 123,
"availability_soldout": 123,
"order": 123,
"variations": [
{
"name": "<string>",
"id": 123,
"value": "<string>",
"value_id": 123
}
],
"days_availability_formated": "<string>",
"total_in_stock": 123,
"total_orders": 123,
"image_reference_sku_id": 123,
"purchase_url": "<string>",
"created_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"updated_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"customizations": {
"data": [
{
"id": 123,
"name": "Primeira Letra",
"price": 123,
"description": "Descrição",
"type": "select",
"required": true,
"allowed_values": "<string>",
"max_chars": 1,
"products_ids": [
123
],
"values": "['A', 'B', 'C', 'D']"
}
]
}
}
],
"meta": {
"pagination": {
"total": "10",
"count": "30",
"per_page": "10",
"current_page": "1",
"total_pages": "3",
"links": {
"previous": "",
"next": ""
}
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.yampi.com.br/llms.txt
Use this file to discover all available pages before exploring further.
Path Parameters
Alias da loja
Query Parameters
Filtrar por quantidade de estoque
Filtrar por quantidade mínima de estoque
Was this page helpful?
⌘I